Draft: Schiera, matrice

From FreeCAD Documentation
Revision as of 10:39, 5 September 2012 by Renatorivo (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Matrice, schiera

Draft Array.svg Matrice

Posizione nel menu
Draft → Matrice
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.

Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.

Draft Array example.jpg

Utilizzo

  1. Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
  2. Premere il pulsante Draft Array.png Matrice

Opzioni

  • La matrice ha come impostazione iniziale predefinita quella ortogonale, è possibile modificare questa modalità nelle sue proprietà.

Proprietà

  • DataArray Type: Specifica il tipo di matrice: ortho o polar

Per matrici ortogonali:

  • DataInterval X: L'intervallo tra ciascuna copia sul primo asse
  • DataInterval Y: L'intervallo tra ciascuna copia sul secondo asse
  • DataInterval Z: L'intervallo tra ciascuna copia sul terzo asse
  • DataNumber X: Il numero di copie sul primo asse
  • DataNumber Y: Il numero di copie sul secondo asse
  • DataNumber Z: Il numero di copie sul terzo asse

Per matrici polari:

  • DataAxis: La direzione normale al cerchio della matrice
  • DataCenter: Il punto centro della matrice
  • DataAngle: L'angolo da coprire con le copie
  • DataNumber Polar: Il numero di copie

Script

Lo strumento Matrice può essere utilizzato nelle macro e dalla console di Python utilizzando una delle seguenti funzioni:

per matrici rettangolari

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

oppure, per matrici polari

array (objectslist,center,totalangle,totalnum)


  • Crea una schiera con gli oggetti contenuti nella lista (che può essere un oggetto o un elenco di oggetti).
  • Nel caso di matrice rettangolare, produce xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e stessa cosa per la direzione Y con yvector e ynum.
  • Nel caso di matrice polare, center è un vettore, totalangle è l'angolo da coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.

Esempio:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector

(2,0,0),FreeCAD.Vector(0,2,0),2,2)

Altre lingue: Flag-en.jpgFlag-es.jpg Flag-fr.jpg